Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 814074 - [64177411f7c032eeb2b65635a9ca4e5767a72b40]: gluster volume heal command timesout without any output
Summary: [64177411f7c032eeb2b65635a9ca4e5767a72b40]: gluster volume heal command times...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Pranith Kumar K
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 817967
TreeView+ depends on / blocked
 
Reported: 2012-04-19 07:44 UTC by Raghavendra Bhat
Modified: 2015-12-01 16:45 UTC (History)
1 user (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-24 17:36:45 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa40


Attachments (Terms of Use)

Description Raghavendra Bhat 2012-04-19 07:44:02 UTC
Description of problem:
Created a replicate volume with replica count 3. Mouted it via fuse and started untarring linux-kernel tarball. Immedietly brought 2 bricks down. After many entries were created (more than 4-5k), stopped untarring, brought the bricks up.
(volume start force) and gave volume heal command.

gluster volume heal command blocked for 2 minutes, then timedout and returned without any output (thus glusterd was not able to tell cli whether the heal operation was started or not, within 2 minutes.)


Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Create a 3 replica volume start it and mount it.
2. Start untarring linux-kernel tarball and immedietly bring down 2 bricks
3. After around 4-5k entries have been created (number of entries that need heal can be known by gluster volume heal info command) stop untarring the tarball and bring the bricks up. (volume start force)
4. do gluster volume heal
  
Actual results:

gluster volume heal command blocks

Expected results:

gluster volume heal command should display whether the heal command that it sent to glusterd was successful or not

Additional info:

Comment 1 Anand Avati 2012-04-23 20:11:56 UTC
CHANGE: http://review.gluster.com/3194 (libglusterfs: Never block syncproc) merged in master by Anand Avati (avati@redhat.com)

Comment 2 Raghavendra Bhat 2012-05-09 09:31:20 UTC
Checked with glusterfs-3.3.0qa40 and gluster volume heal command did not block.

Comment 3 Raghavendra Bhat 2012-05-09 09:32:05 UTC
Checked with glusterfs-3.3.0qa40 and gluster volume heal command did not block.

Comment 4 Vijay Bellur 2012-08-21 05:54:23 UTC
CHANGE: http://review.gluster.org/3195 (syncop: Added scaling down logic) merged in master by Anand Avati (avati@redhat.com)


Note You need to log in before you can comment on or make changes to this bug.